'use strict';

// Dependencies
var gulp = require('gulp');
var sass = require('gulp-sass');
var concat = require('gulp-concat');
var uglify = require('gulp-uglify');

// Paths
var paths = {
    sassSrc: './src/sass/ilab-bootstrap.scss',
    sassDest: './dist/css',

    jsSrc: './src/js/*.js',
    jsConcat: 'ilab-bootstrap.js',
    jsDest: './dist/js/',
};

// SASS
gulp.task('sass', function () {
    return gulp.src(paths.sassSrc)
    .pipe(sass({outputStyle: 'compressed'}).on('error', sass.logError))
    .pipe(gulp.dest(paths.sassDest));
});

// Scripts
gulp.task('js', function() {
    return gulp.src(paths.jsSrc)
    .pipe(concat(paths.jsConcat))
    .pipe(uglify())
    .pipe(gulp.dest(paths.jsDest));
});

// Watch
gulp.task('watch', function () {
    gulp.watch('./src/sass/**/*.scss', ['sass']);
    gulp.watch('./src/js/**/*.js', ['js']);
});

// Default
gulp.task('default', ['sass', 'js', 'watch']);
